Welcome to Geeklog Monday, November 20 2017 @ 12:44 am EST


Status: offline

rv8

Forum User
Regular Poster
Registered: 10/10/2002
Posts: 105
Location:Ottawa, Canada
The latest Bad Behavior version available as a Geeklog plugin is 2.0.49, which is unfortunately no longer supported by Bad Behavior since 2013.

Has anyone updated the plugin to use Bad Behavior 2.2?

If not, I'll try to update it myself, but this is way outside my area of expertise, so I fear I'll muck it up pretty badly.
Kevin Horton

Status: offline

Dirk

Site Admin
Admin
Registered: 12/01/2002
Posts: 13073
Location:Stuttgart, Germany
An upgrade / new port of Bad Behavior is urgently needed, but I haven't had the time to look into it (and probably won't in the foreseeable future). So if nobody else steps in - have a go.

The original port was pretty straightforward, actually. The only (tr)icky bit is that extra line that you have to add to lib-common.php. I have no idea is that's still required or if a new Bad Behavior plugin could be made to behave more like a regular Geeklog plugin.

Good luck.

Dirk

Status: offline

rv8

Forum User
Regular Poster
Registered: 10/10/2002
Posts: 105
Location:Ottawa, Canada
I updated the previous Bad-Behavior plugin to use v2.2.16. It is installed on my site, and the log claims it has caught a few trackback attempts, so it seems to be working. I submitted this version to the Downloads queue.

I've subscribed to the Bad-Behavior RSS feed, and will attempt to keep this plugin updated for as long as I'm using Geeklog (I am considering trying Drupal, so I have no idea how long I'll still be a GL user).
Kevin Horton

Status: offline

Laugh

Site Admin
Admin
Registered: 27/09/2005
Posts: 1240
Thanks for working on it rv8.

The file has been approved and can be found here.

For those who download the plugin please provide some feedback once you have installed and tried it out.

Tom
One of the Geeklog Core Developers.

Status: offline

remy

Forum User
Full Member
Registered: 09/06/2003
Posts: 141
Location:Rotterdam & Bonn
Was running 2.0. Downloaded 2.2 and installed. No problem.

1. Uninstalled 2.0.
2. Deleted contents of dirs, because a few scripts are not in use any more.
3. Uploaded 2.2.
4. Installed 2.2.

Voila. Good work. Thanks.

All times are EST. The time is now 12:44 am.

  • Normal Topic
  • Sticky Topic
  • Locked Topic
  • New Post
  • Sticky Topic W/ New Post
  • Locked Topic W/ New Post
  •  View Anonymous Posts
  •  Able to post
  •  Filtered HTML Allowed
  •  Censored Content